<!---======================= begin_copyright_notice ============================

Copyright (c) 2020-2021 Intel Corporation

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom
the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
IN THE SOFTWARE.

============================= end_copyright_notice ==========================-->

GEN Virtual ISA Specification
=============================

**Primary Author(s):** W. Chen, K. Lueh

**Contributor(s):** P. Ashar, B. Cheng, K. Chen, J. Fuentes, B. George,
J. Gu, R. Geva, S. Ghosh, C. Hu, M. Liao, Z. Liu, W. Pan, A.
Yermolovich, T. Bauer

Legal Notices and Disclaimers:

? Intel Corporation. Intel, the Intel logo, and other Intel marks are trademarks of 
Intel Corporation or its subsidiaries. Other names and brands may be claimed as 
the property of others. 

You may not use or facilitate the use of this document in connection with any 
infringement or other legal analysis concerning Intel products described herein. 
You agree to grant Intel a non-exclusive, royalty-free license to any patent 
claim thereafter drafted which includes subject matter disclosed herein.

No license (express or implied, by estoppel or otherwise) to any intellectual 
property rights is granted by this document.

Intel disclaims all express and implied warranties, including without limitation, 
the implied warranties of merchantability, fitness for a particular purpose, 
and non-infringement, as well as any warranty arising from course of performance, 
course of dealing, or usage in trade.

Contents
========

[Introduction](1_introduction.md)

[Data Types](2_datatypes.md)

[Execution Model](3_execution_model.md)

[Virtual ISA Object Format](4_visa_header.md)

[Operands](5_operands.md)

[Instructions](6_instructions.md)

[Appendix: Debug Information](7_appendix_debug_information.md)

[Appendix: vISA Assembly Syntax](8_appendix_visa_assembly_syntax.md)

[Appendix: vISA Instructions (per platform)](appendix_instruction_by_platform.md)

